DK API 文档

xiaohongshu 01

15 个接口

GETget creator hot inspiration feed

GET https://dkai.store/api/v1/xiaohongshu/app_v2/get_creator_hot_inspiration_feed

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/app_v2/get_creator_hot_inspiration_feed'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget creator inspiration feed

GET https://dkai.store/api/v1/xiaohongshu/app_v2/get_creator_inspiration_feed

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/app_v2/get_creator_inspiration_feed'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget image note detail

GET https://dkai.store/api/v1/xiaohongshu/app_v2/get_image_note_detail

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/app_v2/get_image_note_detail'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget note comments

GET https://dkai.store/api/v1/xiaohongshu/app_v2/get_note_comments

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/app_v2/get_note_comments'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget note sub comments

GET https://dkai.store/api/v1/xiaohongshu/app_v2/get_note_sub_comments

9 积分 / 成功调用

参数位置要求说明
comment_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/app_v2/get_note_sub_comments?comment_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget product detail

GET https://dkai.store/api/v1/xiaohongshu/app_v2/get_product_detail

9 积分 / 成功调用

参数位置要求说明
sku_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/app_v2/get_product_detail?sku_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget product recommendations

GET https://dkai.store/api/v1/xiaohongshu/app_v2/get_product_recommendations

9 积分 / 成功调用

参数位置要求说明
sku_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/app_v2/get_product_recommendations?sku_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget product review overview

GET https://dkai.store/api/v1/xiaohongshu/app_v2/get_product_review_overview

9 积分 / 成功调用

参数位置要求说明
sku_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/app_v2/get_product_review_overview?sku_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget product reviews

GET https://dkai.store/api/v1/xiaohongshu/app_v2/get_product_reviews

9 积分 / 成功调用

参数位置要求说明
sku_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/app_v2/get_product_reviews?sku_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget topic feed

GET https://dkai.store/api/v1/xiaohongshu/app_v2/get_topic_feed

9 积分 / 成功调用

参数位置要求说明
page_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/app_v2/get_topic_feed?page_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget topic info

GET https://dkai.store/api/v1/xiaohongshu/app_v2/get_topic_info

9 积分 / 成功调用

参数位置要求说明
page_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/app_v2/get_topic_info?page_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget user faved notes

GET https://dkai.store/api/v1/xiaohongshu/app_v2/get_user_faved_notes

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/app_v2/get_user_faved_notes'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget user info

GET https://dkai.store/api/v1/xiaohongshu/app_v2/get_user_info

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/app_v2/get_user_info'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget user posted notes

GET https://dkai.store/api/v1/xiaohongshu/app_v2/get_user_posted_notes

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/app_v2/get_user_posted_notes'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget video note detail

GET https://dkai.store/api/v1/xiaohongshu/app_v2/get_video_note_detail

9 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/xiaohongshu/app_v2/get_video_note_detail'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。